image: docker:latest
services:
  - docker:dind

stages:
  - Publish

.common_publish:
  stage: Publish
  before_script:
    - docker login -u ${DOCKER_USER} -p "${DOCKER_PASSWORD}"
  script:
    - docker build -t kluevandrew/sops-age:${TAG} -f ./Dockerfile .
    - docker push kluevandrew/sops-age:${TAG}
  after_script:
    - docker logout $IMAGE_REPOSITORY
  tags:
    - docker

Publish latest:
  extends: .common_publish
  variables:
    TAG: latest
  only:
    refs:
      - master

Publish tagged:
  extends: .common_publish
  variables:
    TAG: $CI_COMMIT_TAG
  only:
    refs:
      - tags
